# shopify-app

> Shopify App Store install, webhooks and billing.

Shopify App Store install, webhooks and billing.

| Method | Path | Operation | Scope | Test mode |
|---|---|---|---|---|
| GET | `/shopify/billing/callback` | `shopify_app_billing_callback`: Return URL after the merchant approves a Shopify charge | public | - |
| GET | `/shopify/callback` | `shopify_app_install_callback`: Shopify OAuth callback | public | - |
| GET | `/shopify/install` | `shopify_app_install_start`: Start the Shopify app install (any store) | public | - |
| POST | `/shopify/webhooks/compliance` | `shopify_app_compliance_webhook`: Shopify mandatory privacy webhooks | public | - |
| POST | `/v1/shopify/billing/subscriptions` | `shopify_app_billing_create`: Charge this store through Shopify Billing | `billing:write` | - |
| POST | `/v1/shopify/claim` | `shopify_app_claim`: Attach a store that installed the app to this Business | `integrations:write` | - |
| GET | `/v1/shopify/installs` | `shopify_app_installs_list`: Stores that installed the app into this Business | `integrations:read` | - |
| GET | `/v1/shopify/readiness` | `shopify_app_readiness`: What the App Store listing still needs | `integrations:read` | - |
| POST | `/v1/shopify/session-token` | `shopify_app_session_token`: Verify an App Bridge session token | public | - |

Request and response schemas: the interactive reference at `https://api.wapitick.com/docs`, or `docs/api/openapi.json`.
